{"openapi":"3.1.0","info":{"title":"A2 Station DB","version":"0.2.2"},"paths":{"/users":{"get":{"tags":["Users"],"summary":"List All Users V0","operationId":"list_all_users_v0_users_get","deprecated":true,"security":[{"APIKeyHeader":[]}],"parameters":[{"name":"last_login","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Login"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserData"},"title":"Response List All Users V0 Users Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Users"],"summary":"Create Or Update User","operationId":"create_or_update_user","security":[{"APIKeyHeader":[]}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users":{"get":{"tags":["Users"],"summary":"List All Users V1","operationId":"get_users","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"include_roles","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Roles"}},{"name":"include_permissions","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Permissions"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Page Size"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"search_string","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search String"}},{"name":"last_login","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Last Login"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsersResponsePage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/{user_id}":{"delete":{"tags":["Users"],"summary":"Delete User","description":"Delete user and all user tokens and roles","operationId":"delete_user","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Users"],"summary":"Get User V0","description":"Get user permissions","operationId":"get_user_v0_users__user_id__get","deprecated":true,"security":[{"APIKeyHeader":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationPerm"},"title":"Response Get User V0 Users  User Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/users/{user_id}":{"get":{"tags":["Users"],"summary":"Get User V1","description":"Get user data","operationId":"get_user","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}},{"name":"include_roles","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Roles"}},{"name":"include_permissions","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Permissions"}},{"name":"include_bans","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Bans"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserDataResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/log_in_server":{"post":{"tags":["Users"],"summary":"User Server Login","description":"Log in from a secure source - requires a root key","operationId":"log_in_server","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LogInServerRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginServerResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]}]}},"/users/log_in_with_key":{"post":{"tags":["Users"],"summary":"Log In With Key","description":"Log in using a user api key - returns the perms and user info","operationId":"log_in_with_key","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LoginServerResponse"}}}}},"security":[{"APIKeyHeader":[]}]}},"/users/log_in":{"post":{"tags":["Users"],"summary":"User Player Login","description":"Validate player with nonce and return list of viewable stations, user_api_key, and org-scope\nIf a user exsits, update them, otherwise create them","operationId":"log_in","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientLoginRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClientLoginResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/users/{user_id}/api_key":{"post":{"tags":["Users"],"summary":"Create User Api Key","operationId":"create_user_api_key","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/create":{"post":{"tags":["Stations"],"summary":"Create Station","operationId":"create_station","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateStationRequest"}}},"required":true},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateStationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}},"security":[{"APIKeyHeader":[]}]}},"/stations/{station_id}/config":{"get":{"tags":["Stations"],"summary":"Get Station Config","operationId":"get_station_config","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Get Station Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Stations"],"summary":"Set Station Config","description":"Sets new station config keys and returns the new full config. Does not delete existing keys if they aren't in the input data","operationId":"set_station_config","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Set Station Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Stations"],"summary":"Delete Station Config","description":"Deletes station config keys and returns the new full config.","operationId":"delete_station_config","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Delete Station Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/online":{"get":{"tags":["Stations"],"summary":"Get Station Online","description":"Returns the timestamp of the last time this station was online. This way we can change the way the data is stored later.","operationId":"get_station_online","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"boolean","title":"Response Get Station Online"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/user_roles":{"post":{"tags":["Stations"],"summary":"Add Station User Role By Name","operationId":"add_role_to_user_by_name","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRoleByNameRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRoleByNameResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/users/{user_id}/roles/{role_id}":{"post":{"tags":["Stations"],"summary":"Add Station User Role","operationId":"add_role_to_user","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}},{"name":"role_id","in":"path","required":true,"schema":{"type":"string","title":"Role Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/users/{user_id}/role/{role_id}":{"delete":{"tags":["Stations"],"summary":"Delete Station User Role","operationId":"remove_role_from_user","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}},{"name":"role_id","in":"path","required":true,"schema":{"type":"string","title":"Role Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/users":{"get":{"tags":["Stations"],"summary":"Get All Users In Station V0","description":"Returns a list of all users with at least one role in the specified station","operationId":"get_all_users_in_station_v0_stations__station_id__users_get","deprecated":true,"security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserDataResponse"},"title":"Response Get All Users In Station V0 Stations  Station Id  Users Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/users":{"get":{"tags":["Stations"],"summary":"Get All Users In Station V1","description":"Returns a list of all users with at least one role in the specified station","operationId":"get_all_users_of_station","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"include_roles","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Roles"}},{"name":"include_permissions","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Permissions"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Page Size"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"search_string","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Search String"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsersResponsePage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/users/{user_id}/roles":{"get":{"tags":["Stations"],"summary":"Get Station User Roles","operationId":"get_user_station_roles","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RolesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/roles":{"get":{"tags":["Stations"],"summary":"Get Station Roles","operationId":"get_station_roles","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RolesResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Stations"],"summary":"Create Role","operationId":"create_station_role","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRoleRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RoleData"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/roles/{role_id}":{"delete":{"tags":["Stations"],"summary":"Delete Role","operationId":"delete_station_role","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"role_id","in":"path","required":true,"schema":{"type":"string","title":"Role Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Stations"],"summary":"Update Station Role","operationId":"update_station_role","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"role_id","in":"path","required":true,"schema":{"type":"string","title":"Role Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateRoleRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/roles/{role_id}/permissions":{"patch":{"tags":["Stations"],"summary":"Assign Perms","operationId":"set_station_role_permissions","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"role_id","in":"path","required":true,"schema":{"type":"string","title":"Role Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignPermsBody"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/roles/{role_id}/users":{"get":{"tags":["Stations"],"summary":"Get Role Users","operationId":"get_role_users","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"role_id","in":"path","required":true,"schema":{"type":"string","title":"Role Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsersResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations":{"get":{"tags":["Stations"],"summary":"Fetch All Stations V0","operationId":"fetch_all_stations_v0_stations_get","deprecated":true,"parameters":[{"name":"include_config","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Config"}},{"name":"include_deployments","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Deployments"}},{"name":"include_offline_stations","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Offline Stations"}},{"name":"x-api-key","in":"header","required":false,"schema":{"type":"string","title":"X-Api-Key"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/StationResponse"},"title":"Response Fetch All Stations V0 Stations Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations":{"get":{"tags":["Stations"],"summary":"Fetch All Stations V1","operationId":"get_stations","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"include_config","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Config"}},{"name":"include_deployments","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Deployments"}},{"name":"include_offline_stations","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Offline Stations"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":100,"title":"Page Size"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationsResponsePage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}":{"patch":{"tags":["Stations"],"summary":"Update Station","operationId":"update_station","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateStationRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Stations"],"summary":"Get Station","operationId":"get_station","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"include_config","in":"query","required":false,"schema":{"default":true,"title":"Include Config"}},{"name":"include_deployments","in":"query","required":false,"schema":{"default":true,"title":"Include Deployments"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Stations"],"summary":"Delete Station","operationId":"delete_station","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/server_events":{"get":{"tags":["Stations"],"summary":"Get Server Events V0","operationId":"get_server_events_v0_stations__station_id__server_events_get","deprecated":true,"security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":500,"title":"Page Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ServerEventResponse"},"title":"Response Get Server Events V0 Stations  Station Id  Server Events Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/server_events":{"get":{"tags":["Stations"],"summary":"Get Server Events V1","operationId":"get_server_events","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":500,"title":"Page Size"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"event_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Event Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerEventsResponsePage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/player_count":{"get":{"tags":["Stations"],"summary":"Get Player Count","description":"Returns sum of player counts for stations marked as public","operationId":"get_player_count","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{}}}}}}},"/v1/stations/{station_id}/users/{user_id}/ban":{"post":{"tags":["Stations"],"summary":"Ban Station User","operationId":"ban_user","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}},{"name":"duration","in":"query","required":true,"schema":{"type":"integer","title":"Duration"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BanRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/users/{user_id}/unban":{"patch":{"tags":["Stations"],"summary":"Unban Station User","operationId":"unban_user","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/bans":{"get":{"tags":["Stations"],"summary":"Get Station Bans","operationId":"get_station_bans","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"include_revoked","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Revoked"}},{"name":"include_expired","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Expired"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BansResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/event":{"post":{"tags":["Stations"],"summary":"Create Station Event","operationId":"create_station_event","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"title","in":"query","required":true,"schema":{"type":"string","title":"Title"}},{"name":"description","in":"query","required":true,"schema":{"type":"string","title":"Description"}},{"name":"duration","in":"query","required":true,"schema":{"type":"integer","title":"Duration"}},{"name":"deployment_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deployment Id"}},{"name":"start_time","in":"query","required":false,"schema":{"type":"string","format":"date-time","default":"2024-10-16T03:00:14.907209","title":"Start Time"}},{"name":"public","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Public"}},{"name":"signups_open","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Signups Open"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Event Config"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationEventInfo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/events":{"get":{"tags":["Stations"],"summary":"Get Station Events","operationId":"get_station_events","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"get_past_events","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Get Past Events"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationEvents"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/events/{event_id}":{"get":{"tags":["Stations"],"summary":"Get Station Event","operationId":"get_station_event","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationEventInfo"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/event/{event_id}":{"delete":{"tags":["Stations"],"summary":"Delete Station Event","operationId":"delete_station_event","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"patch":{"tags":["Stations"],"summary":"Update Station Event","operationId":"update_station_event","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationEventInfo"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/event/{event_id}/users/{user_id}/signup":{"post":{"tags":["Stations"],"summary":"Signup Station Event","operationId":"signup_station_event","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}},{"name":"user_id","in":"path","required":true,"schema":{"type":"string","title":"User Id"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"string","title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventSignupResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/event/{event_id}/signups":{"get":{"tags":["Stations"],"summary":"Get Station Event Signups","operationId":"get_station_event_signups","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationEventSignups"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/event/{event_id}/signup":{"delete":{"tags":["Stations"],"summary":"Delete Station Event Signup","operationId":"delete_station_event_signup","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}},{"name":"signup_id","in":"query","required":true,"schema":{"type":"string","title":"Signup Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/event/{event_id}/config":{"get":{"tags":["Stations"],"summary":"Get Station Event Config","operationId":"get_station_event_config","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Get Station Event Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Stations"],"summary":"Set Station Event Config","description":"Sets new event config keys and returns the new full config. Does not delete existing keys if they aren't in the input data","operationId":"set_station_event_config","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Set Station Event Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Stations"],"summary":"Delete Station Event Config","operationId":"delete_station_event_config","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"event_id","in":"path","required":true,"schema":{"type":"string","title":"Event Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Delete Station Event Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/stations/{station_id}/deployments":{"post":{"tags":["Deployments"],"summary":"Create Deployment","description":"Creates a new station deployment and returns the new deployment ID along with an API key","operationId":"create_deployment","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/CreateDeploymentResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"get":{"tags":["Deployments"],"summary":"Get Station Deployments V0","description":"Returns the list of deployments for this station and their online status","operationId":"get_station_deployments_v0_stations__station_id__deployments_get","deprecated":true,"security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/StationDeploymentsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/deployments/{deployment_id}/api_key":{"post":{"tags":["Deployments"],"summary":"Create Deployment Api Key","description":"Generates a new API key for a particular station deployment. This is only needed if you need more than one deployment API key for your existing deployment.","operationId":"create_deployment_api_key","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiKeyResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/deployments/{deployment_id}/server_events":{"post":{"tags":["Deployments"],"summary":"Add Server Event","operationId":"add_server_event","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerEventRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/deployments/{deployment_id}":{"patch":{"tags":["Deployments"],"summary":"Update Deployment","operationId":"update_deployment","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentRequest"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Deployments"],"summary":"Delete Deployment","description":"Returns config for the station that this deployment is attached to","operationId":"delete_deployment","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessBoolean"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/stations/{station_id}/deployments":{"get":{"tags":["Deployments"],"summary":"Get Station Deployments V1","description":"Returns the list of deployments for this station and their online status","operationId":"get_station_deployments","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"station_id","in":"path","required":true,"schema":{"type":"string","title":"Station Id"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":500,"title":"Page Size"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"include_offline","in":"query","required":false,"schema":{"type":"boolean","default":false,"title":"Include Offline"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DeploymentsResponsePage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/deployments/{deployment_id}/config":{"get":{"tags":["Deployments"],"summary":"Get Deployment Config V0","description":"Returns config for the station that this deployment is attached to","operationId":"get_deployment_config","deprecated":true,"security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}},{"name":"include_station_config","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Station Config"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Get Deployment Config"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/deployments/{deployment_id}":{"get":{"tags":["Deployments"],"summary":"Get Deployment V1","operationId":"get_deployment_v1","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}},{"name":"include_deployment_config","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Deployment Config"}},{"name":"include_station_config","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Station Config"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"anyOf":[{"$ref":"#/components/schemas/ServerDeploymentResponse"},{"type":"null"}],"title":"Response Get Deployment V1"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/deployments/{deployment_id}/config":{"get":{"tags":["Deployments"],"summary":"Get Deployment Config V1","operationId":"get_deployment_config_v1","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}},{"name":"include_station_config","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Station Config"}},{"name":"include_event_config","in":"query","required":false,"schema":{"type":"boolean","default":true,"title":"Include Event Config"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Get Deployment Config V1"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"post":{"tags":["Deployments"],"summary":"Set Deployment Config","description":"Sets new deployment config keys and returns the new full config. Does not delete existing keys if they aren't in the input data","operationId":"set_deployment_config_v1","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"string"},"title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Set Deployment Config V1"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}},"delete":{"tags":["Deployments"],"summary":"Delete Deployment Config","description":"Deletes deployment config keys and returns the new full config.","operationId":"delete_deployment_config_v1","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"type":"string"},"title":"Data"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","title":"Response Delete Deployment Config V1"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}},"/v1/deployments/{deployment_id}/server_events":{"get":{"tags":["Deployments"],"summary":"Get Deployment Server Events V1","operationId":"get_deployment_server_events","security":[{"APIKeyHeader":[]}],"parameters":[{"name":"deployment_id","in":"path","required":true,"schema":{"type":"string","title":"Deployment Id"}},{"name":"page_size","in":"query","required":false,"schema":{"type":"integer","default":500,"title":"Page Size"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"title":"Page"}},{"name":"event_type","in":"query","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Event Type"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerEventsResponsePage"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"ApiKeyResponse":{"properties":{"api_key":{"type":"string","title":"Api Key"}},"type":"object","required":["api_key"],"title":"ApiKeyResponse"},"AssignPermsBody":{"properties":{"permissions":{"items":{"type":"string"},"type":"array","minItems":1,"title":"Permissions"}},"type":"object","required":["permissions"],"title":"AssignPermsBody"},"BanRequest":{"properties":{"reason":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Reason"}},"type":"object","required":["reason"],"title":"BanRequest"},"BanResponse":{"properties":{"user_id":{"type":"string","title":"User Id"},"station_id":{"type":"string","title":"Station Id"},"expiration":{"anyOf":[{"type":"string","format":"date-time"},{"type":"null"}],"title":"Expiration"},"reason":{"type":"string","title":"Reason"},"revoked":{"type":"boolean","title":"Revoked"}},"type":"object","required":["user_id","station_id","expiration","reason","revoked"],"title":"BanResponse"},"BansResponse":{"properties":{"bans":{"items":{"$ref":"#/components/schemas/BanResponse"},"type":"array","title":"Bans"}},"type":"object","required":["bans"],"title":"BansResponse"},"ClientLoginDeployment":{"properties":{"deployment_id":{"type":"string","title":"Deployment Id"},"station_id":{"type":"string","title":"Station Id"},"station_name":{"type":"string","title":"Station Name"},"deployment_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deployment Name"},"ip":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip"},"is_whitelist":{"type":"boolean","title":"Is Whitelist"},"is_public":{"type":"boolean","title":"Is Public"},"is_joinable":{"type":"boolean","title":"Is Joinable"}},"type":"object","required":["deployment_id","station_id","station_name","deployment_name","ip","is_whitelist","is_public","is_joinable"],"title":"ClientLoginDeployment"},"ClientLoginRequest":{"properties":{"nonce":{"type":"string","title":"Nonce"},"platform_id":{"type":"string","title":"Platform Id"},"username":{"type":"string","title":"Username"},"platform":{"type":"string","title":"Platform"},"device":{"type":"string","title":"Device"}},"type":"object","required":["nonce","platform_id","username","platform","device"],"title":"ClientLoginRequest"},"ClientLoginResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"api_key":{"type":"string","title":"Api Key"},"org_scoped_id":{"type":"string","title":"Org Scoped Id"},"server_deployments":{"items":{"$ref":"#/components/schemas/ClientLoginDeployment"},"type":"array","title":"Server Deployments"}},"type":"object","required":["success","api_key","org_scoped_id","server_deployments"],"title":"ClientLoginResponse"},"CreateDeploymentResponse":{"properties":{"api_key":{"type":"string","title":"Api Key"},"deployment_id":{"type":"string","title":"Deployment Id"}},"type":"object","required":["api_key","deployment_id"],"title":"CreateDeploymentResponse"},"CreateRoleRequest":{"properties":{"role_name":{"type":"string","minLength":1,"pattern":"^\\s*\\S.*$","title":"Role Name"},"role_description":{"type":"string","title":"Role Description","default":""}},"type":"object","required":["role_name"],"title":"CreateRoleRequest"},"CreateStationRequest":{"properties":{"station_name":{"type":"string","minLength":1,"title":"Station Name"},"station_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Station Id"}},"type":"object","required":["station_name"],"title":"CreateStationRequest"},"CreateStationResponse":{"properties":{"station_id":{"type":"string","title":"Station Id"}},"type":"object","required":["station_id"],"title":"CreateStationResponse"},"DeploymentRequest":{"properties":{"ip":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip"},"deployment_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deployment Name"},"region":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Region"},"version":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version"},"station_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Station Id"}},"type":"object","title":"DeploymentRequest"},"DeploymentsResponsePage":{"properties":{"page":{"$ref":"#/components/schemas/PageData"},"station_id":{"type":"string","title":"Station Id"},"items":{"items":{"$ref":"#/components/schemas/ServerDeploymentResponse"},"type":"array","title":"Items"}},"type":"object","required":["page","station_id","items"],"title":"DeploymentsResponsePage"},"EventSignupResponse":{"properties":{"user_signed_up":{"type":"boolean","title":"User Signed Up"},"signup_id":{"type":"string","title":"Signup Id"}},"type":"object","required":["user_signed_up","signup_id"],"title":"EventSignupResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"LogInServerRequest":{"properties":{"user_id":{"type":"string","title":"User Id"},"username":{"type":"string","title":"Username"},"platform":{"type":"string","title":"Platform"},"device":{"type":"string","title":"Device"}},"type":"object","required":["user_id","username","platform","device"],"title":"LogInServerRequest"},"LoginServerResponse":{"properties":{"api_key":{"type":"string","title":"Api Key"},"user":{"$ref":"#/components/schemas/UserData"},"permissions":{"items":{"$ref":"#/components/schemas/StationPerm"},"type":"array","title":"Permissions"}},"type":"object","required":["api_key","user","permissions"],"title":"LoginServerResponse"},"PageData":{"properties":{"total_items":{"type":"integer","title":"Total Items"},"item_count":{"type":"integer","title":"Item Count"},"page_size":{"type":"integer","title":"Page Size"},"page":{"type":"integer","title":"Page"},"pages":{"type":"integer","title":"Pages"}},"type":"object","required":["total_items","item_count","page_size","page","pages"],"title":"PageData"},"RoleData":{"properties":{"role_id":{"type":"string","title":"Role Id"},"station_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Station Id"},"role_name":{"type":"string","title":"Role Name"},"role_description":{"type":"string","title":"Role Description"}},"type":"object","required":["role_id","station_id","role_name","role_description"],"title":"RoleData"},"RoleResponse":{"properties":{"role_id":{"type":"string","title":"Role Id"},"station_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Station Id"},"role_name":{"type":"string","title":"Role Name"},"role_description":{"type":"string","title":"Role Description"},"permissions":{"anyOf":[{"items":{"type":"string"},"type":"array"},{"type":"null"}],"title":"Permissions"}},"type":"object","required":["role_id","station_id","role_name","role_description"],"title":"RoleResponse"},"RolesResponse":{"properties":{"roles":{"items":{"$ref":"#/components/schemas/RoleResponse"},"type":"array","title":"Roles"}},"type":"object","required":["roles"],"title":"RolesResponse"},"ServerDeploymentResponse":{"properties":{"deployment_id":{"type":"string","title":"Deployment Id"},"station_id":{"type":"string","title":"Station Id"},"deployment_name":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deployment Name"},"region":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Region"},"ip":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Ip"},"version":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Version"},"created":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"}],"title":"Created"},"online":{"type":"boolean","title":"Online"},"last_event":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"},{"type":"null"}],"title":"Last Event"},"player_count":{"type":"integer","title":"Player Count"},"config":{"anyOf":[{"type":"object"},{"type":"null"}],"title":"Config"}},"type":"object","required":["deployment_id","station_id","deployment_name","region","ip","version","created","online","player_count"],"title":"ServerDeploymentResponse"},"ServerEventRequest":{"properties":{"event_type":{"type":"string","minLength":1,"title":"Event Type"},"event_data":{"type":"string","contentMediaType":"application/json","contentSchema":{},"title":"Event Data"}},"type":"object","required":["event_type","event_data"],"title":"ServerEventRequest"},"ServerEventResponse":{"properties":{"idx":{"type":"integer","title":"Idx"},"event_type":{"type":"string","title":"Event Type"},"deployment_id":{"type":"string","title":"Deployment Id"},"event_data":{"type":"string","title":"Event Data"},"timestamp":{"anyOf":[{"type":"string"},{"type":"string","format":"date-time"}],"title":"Timestamp"}},"type":"object","required":["idx","event_type","deployment_id","event_data","timestamp"],"title":"ServerEventResponse"},"ServerEventsResponsePage":{"properties":{"page":{"$ref":"#/components/schemas/PageData"},"items":{"items":{"$ref":"#/components/schemas/ServerEventResponse"},"type":"array","title":"Items"}},"type":"object","required":["page","items"],"title":"ServerEventsResponsePage"},"StationDeploymentsResponse":{"properties":{"station_id":{"type":"string","title":"Station Id"},"deployments":{"items":{"$ref":"#/components/schemas/ServerDeploymentResponse"},"type":"array","title":"Deployments"}},"type":"object","required":["station_id","deployments"],"title":"StationDeploymentsResponse"},"StationEventInfo":{"properties":{"event_id":{"type":"string","title":"Event Id"},"title":{"type":"string","title":"Title"},"description":{"type":"string","title":"Description"},"start_time":{"type":"string","format":"date-time","title":"Start Time"},"duration":{"type":"integer","title":"Duration"},"public":{"type":"boolean","title":"Public"},"signups_open":{"type":"boolean","title":"Signups Open"},"station_id":{"type":"string","title":"Station Id"},"deployment_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Deployment Id"}},"type":"object","required":["event_id","title","description","start_time","duration","public","signups_open","station_id","deployment_id"],"title":"StationEventInfo"},"StationEventSignupInfo":{"properties":{"signup_id":{"type":"string","title":"Signup Id"},"user_id":{"type":"string","title":"User Id"},"timestamp":{"type":"string","format":"date-time","title":"Timestamp"},"data":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Data"}},"type":"object","required":["signup_id","user_id","timestamp","data"],"title":"StationEventSignupInfo"},"StationEventSignups":{"properties":{"signups":{"items":{"$ref":"#/components/schemas/StationEventSignupInfo"},"type":"array","title":"Signups"}},"type":"object","required":["signups"],"title":"StationEventSignups"},"StationEvents":{"properties":{"events":{"items":{"$ref":"#/components/schemas/StationEventInfo"},"type":"array","title":"Events"}},"type":"object","required":["events"],"title":"StationEvents"},"StationPerm":{"properties":{"station_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Station Id"},"permission":{"type":"string","title":"Permission"}},"type":"object","required":["station_id","permission"],"title":"StationPerm"},"StationResponse":{"properties":{"station_id":{"type":"string","title":"Station Id"},"station_name":{"type":"string","title":"Station Name"},"created":{"anyOf":[{"type":"string","format":"date-time"},{"type":"string"}],"title":"Created"},"deployments":{"anyOf":[{"items":{"$ref":"#/components/schemas/ServerDeploymentResponse"},"type":"array"},{"type":"null"}],"title":"Deployments"},"config":{"anyOf":[{"type":"object"},{"type":"null"}],"title":"Config"}},"type":"object","required":["station_id","station_name","created","deployments","config"],"title":"StationResponse"},"StationsResponsePage":{"properties":{"page":{"$ref":"#/components/schemas/PageData"},"items":{"items":{"$ref":"#/components/schemas/StationResponse"},"type":"array","title":"Items"}},"type":"object","required":["page","items"],"title":"StationsResponsePage"},"SuccessBoolean":{"properties":{"success":{"type":"boolean","title":"Success"}},"type":"object","required":["success"],"title":"SuccessBoolean"},"UpdateStationRequest":{"properties":{"station_name":{"type":"string","title":"Station Name"}},"type":"object","required":["station_name"],"title":"UpdateStationRequest"},"UserData":{"properties":{"user_id":{"type":"string","title":"User Id"},"username":{"type":"string","title":"Username"},"discord_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Discord Id"},"platform":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Platform"},"created":{"type":"string","format":"date-time","title":"Created"},"last_login":{"type":"string","format":"date-time","title":"Last Login"}},"type":"object","required":["user_id","username","discord_id","platform","created","last_login"],"title":"UserData"},"UserDataResponse":{"properties":{"user_id":{"type":"string","title":"User Id"},"username":{"type":"string","title":"Username"},"discord_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Discord Id"},"platform":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Platform"},"created":{"type":"string","format":"date-time","title":"Created"},"last_login":{"type":"string","format":"date-time","title":"Last Login"},"roles":{"anyOf":[{"items":{"$ref":"#/components/schemas/RoleResponse"},"type":"array"},{"type":"null"}],"title":"Roles"},"ban":{"anyOf":[{"items":{"$ref":"#/components/schemas/BanResponse"},"type":"array"},{"type":"null"}],"title":"Ban"}},"type":"object","required":["user_id","username","discord_id","platform","created","last_login"],"title":"UserDataResponse"},"UserRequest":{"properties":{"user_id":{"type":"string","title":"User Id"},"username":{"type":"string","title":"Username"},"discord_id":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Discord Id"},"platform":{"type":"string","title":"Platform"}},"type":"object","required":["user_id","username","platform"],"title":"UserRequest"},"UserRoleByNameRequest":{"properties":{"role_id":{"type":"string","title":"Role Id"},"username":{"type":"string","title":"Username"},"expires_hours":{"type":"integer","title":"Expires Hours"}},"type":"object","required":["role_id","username","expires_hours"],"title":"UserRoleByNameRequest"},"UserRoleByNameResponse":{"properties":{"success":{"type":"boolean","title":"Success"},"user_exists":{"type":"boolean","title":"User Exists"}},"type":"object","required":["success","user_exists"],"title":"UserRoleByNameResponse"},"UsersResponse":{"properties":{"users":{"items":{"$ref":"#/components/schemas/UserDataResponse"},"type":"array","title":"Users"}},"type":"object","required":["users"],"title":"UsersResponse"},"UsersResponsePage":{"properties":{"page":{"$ref":"#/components/schemas/PageData"},"items":{"items":{"$ref":"#/components/schemas/UserDataResponse"},"type":"array","title":"Items"}},"type":"object","required":["page","items"],"title":"UsersResponsePage"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}},"securitySchemes":{"APIKeyHeader":{"type":"apiKey","in":"header","name":"x-api-key"}}}}